com.sun.jna

## Class WeakIdentityHashMap

- java.lang.Object
- - com.sun.jna.WeakIdentityHashMap

- All Implemented Interfaces:
    java.util.Map

      public class WeakIdentityHashMap
      extends java.lang.Object
      implements java.util.Map

  Implements a combination of WeakHashMap and IdentityHashMap. Useful for caches that need to key off of a == comparison instead of a .equals. This class is not a general-purpose Map implementation! While this class implements the Map interface, it intentionally violates Map's general contract, which mandates the use of the equals method when comparing objects. This class is designed for use only in the rare cases wherein reference-equality semantics are required. Note that this implementation is not synchronized.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `WeakIdentityHashMap.IdentityWeakReference`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeakIdentityHashMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set` | `entrySet()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Object` | `get(java.lang.Object key)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `java.util.Set` | `keySet()`
    `java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
    `void` | `putAll(java.util.Map t)`
    `java.lang.Object` | `remove(java.lang.Object key)`
    `int` | `size()`
    `java.util.Collection` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeakIdentityHashMap

          public WeakIdentityHashMap()

  - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map`

    - #### entrySet

          public java.util.Set entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map`

    - #### keySet

          public java.util.Set keySet()

      Specified by:
        `keySet` in interface `java.util.Map`

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Map`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### get

          public java.lang.Object get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map`

    - #### put

          public java.lang.Object put(java.lang.Object key,
                             java.lang.Object value)

      Specified by:
        `put` in interface `java.util.Map`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map`

    - #### putAll

          public void putAll(java.util.Map t)

      Specified by:
        `putAll` in interface `java.util.Map`

    - #### remove

          public java.lang.Object remove(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map`

    - #### values

          public java.util.Collection values()

      Specified by:
        `values` in interface `java.util.Map`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.